Name:		realtek-rtl8192-kmod
Version:	2.6.0019.1207.2010
Release:	1%{?dist}
Summary:	Kernel module for Realtek wireless devices
Group:		System Environment/Kernel
# Note: kernel module is GPL, firmware is redistributable.
License:	Redistributable, no modification permitted
URL:		http://www.realtek.com/
Source0:	rtl8192se_linux_2.6.0019.1207.2010.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	%{_bindir}/kmodtool

# needed for plague to make sure it builds for i586 and i686
ExclusiveArch:	i686 x86_64

%{!?kernels:BuildRequires: buildsys-build-rpmfusion-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }

# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }

%description
These packages contain Realtek's IEEE 802.11b/g/n Linux device driver
for use with Realtek's RTL8192SE-based hardware.

%prep
# error out if there was something wrong with kmodtool
%{?kmodtool_check}

# print kmodtool output for debugging purposes:
kmodtool --target %{_target_cpu}  --repo rpmfusion --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null

%setup -q -n rtl8192se_linux_2.6.0019.1207.2010

%build
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}

for kernel_version in %{?kernel_versions}; do
  install --mode 644 -D HAL/rtl8192/r8192se_pci.ko $RPM_BUILD_ROOT%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}/r8192se_pci.ko
done
install --mode 755 -d ${RPM_BUILD_ROOT}/lib/firmware/RTL8192SE/
install --mode 644 -D firmware/RTL8192SE/*.bin ${RPM_BUILD_ROOT}/lib/firmware/RTL8192SE/

chmod 0755 $RPM_BUILD_ROOT/%{kmodinstdir_prefix}/*/%{kmodinstdir_postfix}/* || :
%{?akmod_install}

%files
/lib/firmware/RTL8192SE/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jun 08 2011 W. Michael Petullo <mike@flyn.org> 5.10.27.6-1
- Initial build.
